Bug 585993 - EPEL pki-ra mod_nss dependency prevents installation
Summary: EPEL pki-ra mod_nss dependency prevents installation
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Dogtag Certificate System
Classification: Retired
Component: RA
Version: 1.3
Hardware: All
OS: Linux
low
urgent
Target Milestone: ---
Assignee: Ade Lee
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-26 15:38 UTC by Didier
Modified: 2015-01-04 23:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-28 09:55:08 UTC


Attachments (Terms of Use)

Description Didier 2010-04-26 15:38:42 UTC
"yum --enablerepo=epel-testing install pki-ra" yields :

pki-ra-1.3.1-1.el5.noarch from epel-testing has depsolving problems
  --> Missing Dependency: mod_nss >= 1.0.7 is needed by package pki-ra-1.3.1-1.el5.noarch (epel-testing)


Latest mod_nss for RHEL/EPEL is mod_nss-1.0.3-8.el5 .

Comment 1 Didier 2010-04-28 09:55:08 UTC
Circumvented by rebuilding and installing the mod_nss-1.0.8-3.el6.src.rpm from the RHEL6 beta repository (ftp://ftp.redhat.com/pub/redhat/rhel/beta/6/source/SRPMS/) for RHEL5.

Note : to prevent a %post(mod_nss-1.0.8-3) scriptlet error, /usr/bin/find needs to be temporarily softlinked to /bin/find before installing the rebuilt mod_nss-1.0.8-3.


After installing mod_nss-1.0.8-3, pki-ra-1.3.1-1 installs and configures fine in RHEL5u5.

This resolution should probably apply to mod_nss-1.0.8-2.el5idm.src.rpm from ftp://ftp.redhat.com/pub/redhat/linux/enterprise/5Server/en/RHCERT/SRPMS/ too.


Note You need to log in before you can comment on or make changes to this bug.